<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/*
 * 
 * id	int(11)	Não 	 	 	 
  id_revenda	int(11)	Não
  id_pai	int(11)	Não
  id_plano	int(11)	Não
  tipo	tinyint(4)	Não
  valor_pagamento	decimal(10,2)	Não
  detalhes	tinytext	Não
  data_cad	date	Não
  data_atualizacao	date	Não
  status	tinyint(4)
 */

class Adapter_hist_plano {

    private $hist_plano;
    private $CI;

    public function __construct() {
        $this->CI = get_instance();
    }

    public function set_hist_plano($hist_plano = null) {
        $this->hist_plano = $hist_plano;
    }

    public function getPagamentoString($int_pagamento = null) {

        $pagamento[1] = 'Pagseguro';
        $pagamento[2] = 'Boleto Facil';
        $pagamento[3] = 'Deposito/TEV';

        if (is_numeric($int_pagamento) && key_exists($int_pagamento, $pagamento) === true) {
            return $pagamento[$int_pagamento];
        }

        if (isset($this->hist_plano['tipo']) && array_key_exists($this->hist_plano['tipo'], $pagamento)) {
            return $pagamento[$this->hist_plano['tipo']];
        }
    }

    public function getSituacaoString($int_status = null) {
        $status[0] = 'Cancelada';
        $status[1] = 'Aberta';
        $status[2] = 'Aguardando Pagamento';
        $status[3] = 'Aprovada';
        $status[4] = 'Fechada';

        if (is_numeric($int_status) && key_exists($int_status, $status)) {
            return $status[$int_status];
        }

        if (isset($this->hist_plano['status'])) {
            return $status[$this->hist_plano['status']];
        }
    }

    public function getDetalhes() {
        
        $rs = $this->CI->db->query("SELECT * FROM cmum_planos_pre WHERE id={$this->hist_plano['id_plano']}");
        
        $detalhes = "";
        
        if($rs->num_rows() > 0){
            $detalhes_plano = $rs->row_array();
            
            $detalhes = <<<EOF
                    <span><strong>ID Plano:</strong> {$detalhes_plano['id']}</span><br/>
                    <span><strong>Nome do Plano:</strong> {$detalhes_plano['desc_plano']}</span><br/>
                    <span><strong>Valor Cobrado:</strong> R$ {$detalhes_plano['valor_cobrado']}</span><br/>
                    <span><strong>Qtd Logins:</strong> {$detalhes_plano['qtd_login']}</span><br/>
EOF;
        }else{
            $detalhes = "<span>Plano não encontrado, pode ter sido removido ou modiicado.</span>";
        }

        $html = <<<EOF
                <div style="font-size: 8pt;">
                        $detalhes                
                </div>
EOF;
        return $html;
    }

}
